
From: Matt Porter <mporter@kernel.crashing.org>

The patch fixes these warnings by doing two things:
   1) Add the argument to the printk.
   2) Rearrange the ifdef to eliminate the unused variable
      and function warnings.

Signed-off-by: Scott Anderson <sanders@mvista.com>
Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/syslib/ppc4xx_setup.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -puN arch/ppc/syslib/ppc4xx_setup.c~ppc32-fix-ppc4xx_progress-warnings arch/ppc/syslib/ppc4xx_setup.c
--- 25/arch/ppc/syslib/ppc4xx_setup.c~ppc32-fix-ppc4xx_progress-warnings	2004-10-28 19:11:04.150520776 -0700
+++ 25-akpm/arch/ppc/syslib/ppc4xx_setup.c	2004-10-28 19:11:04.154520168 -0700
@@ -191,6 +191,7 @@ ppc4xx_calibrate_decr(void)
 }
 #ifdef CONFIG_SERIAL_TEXT_DEBUG
 
+#ifdef SERIAL_DEBUG_IO_BASE
 /* We assume that the UART has already been initialized by the
    firmware or the boot loader */
 static void
@@ -204,7 +205,6 @@ static void
 ppc4xx_progress(char *s, unsigned short hex)
 {
 	char c;
-#ifdef SERIAL_DEBUG_IO_BASE
 	u8 *com_port = (u8 *) SERIAL_DEBUG_IO_BASE;
 
 	while ((c = *s++) != '\0') {
@@ -212,10 +212,14 @@ ppc4xx_progress(char *s, unsigned short 
 	}
 	serial_putc(com_port, '\r');
 	serial_putc(com_port, '\n');
+}
 #else
-	printk("%s\r\n");
-#endif
+static void
+ppc4xx_progress(char *s, unsigned short hex)
+{
+	printk("%s\r\n", s);
 }
+#endif
 #endif				/* CONFIG_SERIAL_TEXT_DEBUG */
 
 /*
_
